Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Developin e4 in Eclipse 3.6M3
Developin e4 in Eclipse 3.6M3 [message #496240] Mon, 09 November 2009 12:54 Go to next message
Roland Tepp is currently offline Roland TeppFriend
Messages: 336
Registered: July 2009
Senior Member
Hi,

I am trying out Eclipse e4 and I've run into a bit of a trouble getting
the target platform ready for develompment.

When I use the p2 update site that is supposed to include everything and
then follow an excellent tutorial by Vogel, I get complaints that
org.eclipse.e4.ui.workbench.* plugins can not be found.

It seems these are not part of the update site.

When I install the full build, all the dependencies seem to work okay,
but e4 IDE itself is a bit too unstable for my tastes.



--
Roland Tepp
Re: Developin e4 in Eclipse 3.6M3 [message #496872 is a reply to message #496240] Wed, 11 November 2009 15:42 Go to previous messageGo to next message
Paul Webster is currently offline Paul WebsterFriend
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

Which p2 update site? There isn't a single update site that could take an Eclipse classic SDK upto a p2 SDK.

Right now you have 2 choices.

1) Take the e4 SDK, which has everything built in.

2) install eclipse classic SDK, install EMF SDK, GEF SDK, parts of WTP (at least XML Editors and Tools). Then use the p2 link off of an e4 build page to install all of the parts of e4. None of the discovery sites included in the SDK will point to the correct place, and the e4 build p2 site does not contain everything.

I'm trying to figure out how to provide a more general update path for e4 I builds, but it is not easy (without replicating 3 projects worth of update sites as well as my own ... that's a lot of disk space).

PW


Re: Developin e4 in Eclipse 3.6M3 [message #497964 is a reply to message #496872] Fri, 13 November 2009 15:02 Go to previous messageGo to next message
Roland Tepp is currently offline Roland TeppFriend
Messages: 336
Registered: July 2009
Senior Member
I resorted for now to the workaround that involved downloading latest
3.6M3 RCP build, slapping EMF tooling, GEF and WTP on it and using
downloaded e4 1.0M1 All-in-one SDK package as a target platform...

11.11.2009 17:42, Paul Webster kirjutas:
> Which p2 update site? There isn't a single update site that could take
> an Eclipse classic SDK upto a p2 SDK.
>
> Right now you have 2 choices.
> 1) Take the e4 SDK, which has everything built in.
>
I guess, I used this option... sort of

> 2) install eclipse classic SDK, install EMF SDK, GEF SDK, parts of WTP
> (at least XML Editors and Tools). Then use the p2 link off of an e4
> build page to install all of the parts of e4. None of the discovery
> sites included in the SDK will point to the correct place, and the e4
> build p2 site does not contain everything.
>
Where is this p2 that contains everything? the one linked from p2
downloads section did not contain at least o.e.e4.ui.workbench.* bundles
(maybe others as well, but these were the ones I stumbled upon).

> I'm trying to figure out how to provide a more general update path for
> e4 I builds, but it is not easy (without replicating 3 projects worth of
> update sites as well as my own ... that's a lot of disk space).
>

Some sort of p2 federation framework would probably help a lot...

--
Roland Tepp
Re: Developin e4 in Eclipse 3.6M3 [message #497973 is a reply to message #497964] Fri, 13 November 2009 15:26 Go to previous messageGo to next message
Paul Webster is currently offline Paul WebsterFriend
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

Roland Tepp wrote on Fri, 13 November 2009 10:02

Where is this p2 that contains everything? the one linked from p2
downloads section did not contain at least o.e.e4.ui.workbench.* bundles
(maybe others as well, but these were the ones I stumbled upon)


Do you mean the link from an e4 build page that says " online p2 repo link"?

It definitely contains o.e.e4.ui.workbench.* ... but they wouldn't install if you didn't have the right features already installed in your eclipse (the correct version of EMF and the Eclipse classic SDK amongst them).

Right now the 2 things that have to work when we deliver are 1) the all in one e4 SDKs and 2) the online p2 repo (presuming you have all of the pre-reqs installed correctly).

If someone wants to pick another path (upgrading through the update manager) and create the necessary infrastructure, please contribute patches at https://bugs.eclipse.org/bugs/enter_bug.cgi?product=E4&c omponent=UI

PW


Re: Developin e4 in Eclipse 3.6M3 [message #564627 is a reply to message #496240] Wed, 11 November 2009 15:42 Go to previous messageGo to next message
Paul Webster is currently offline Paul WebsterFriend
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

Which p2 update site? There isn't a single update site that could take an Eclipse classic SDK upto a p2 SDK.

Right now you have 2 choices.

1) Take the e4 SDK, which has everything built in.

2) install eclipse classic SDK, install EMF SDK, GEF SDK, parts of WTP (at least XML Editors and Tools). Then use the p2 link off of an e4 build page to install all of the parts of e4. None of the discovery sites included in the SDK will point to the correct place, and the e4 build p2 site does not contain everything.

I'm trying to figure out how to provide a more general update path for e4 I builds, but it is not easy (without replicating 3 projects worth of update sites as well as my own ... that's a lot of disk space).

PW

--
Paul Webster
http://wiki.eclipse.org/Platform_Command_Framework
http://wiki.eclipse.org/Command_Core_Expressions
http://wiki.eclipse.org/Menu_Contributions


Re: Developin e4 in Eclipse 3.6M3 [message #564680 is a reply to message #496872] Fri, 13 November 2009 15:02 Go to previous messageGo to next message
Roland Tepp is currently offline Roland TeppFriend
Messages: 336
Registered: July 2009
Senior Member
I resorted for now to the workaround that involved downloading latest
3.6M3 RCP build, slapping EMF tooling, GEF and WTP on it and using
downloaded e4 1.0M1 All-in-one SDK package as a target platform...

11.11.2009 17:42, Paul Webster kirjutas:
> Which p2 update site? There isn't a single update site that could take
> an Eclipse classic SDK upto a p2 SDK.
>
> Right now you have 2 choices.
> 1) Take the e4 SDK, which has everything built in.
>
I guess, I used this option... sort of

> 2) install eclipse classic SDK, install EMF SDK, GEF SDK, parts of WTP
> (at least XML Editors and Tools). Then use the p2 link off of an e4
> build page to install all of the parts of e4. None of the discovery
> sites included in the SDK will point to the correct place, and the e4
> build p2 site does not contain everything.
>
Where is this p2 that contains everything? the one linked from p2
downloads section did not contain at least o.e.e4.ui.workbench.* bundles
(maybe others as well, but these were the ones I stumbled upon).

> I'm trying to figure out how to provide a more general update path for
> e4 I builds, but it is not easy (without replicating 3 projects worth of
> update sites as well as my own ... that's a lot of disk space).
>

Some sort of p2 federation framework would probably help a lot...

--
Roland Tepp
Re: Developin e4 in Eclipse 3.6M3 [message #564702 is a reply to message #497964] Fri, 13 November 2009 15:26 Go to previous message
Paul Webster is currently offline Paul WebsterFriend
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

Roland Tepp wrote on Fri, 13 November 2009 10:02
> Where is this p2 that contains everything? the one linked from p2
> downloads section did not contain at least o.e.e4.ui.workbench.* bundles
> (maybe others as well, but these were the ones I stumbled upon)


Do you mean the link from an e4 build page that says " online p2 repo link"?

It definitely contains o.e.e4.ui.workbench.* ... but they wouldn't install if you didn't have the right features already installed in your eclipse (the correct version of EMF and the Eclipse classic SDK amongst them).

Right now the 2 things that have to work when we deliver are 1) the all in one e4 SDKs and 2) the online p2 repo (presuming you have all of the pre-reqs installed correctly).

If someone wants to pick another path (upgrading through the update manager) and create the necessary infrastructure, please contribute patches at https://bugs.eclipse.org/bugs/enter_bug.cgi?product=E4&c omponent=UI

PW

--
Paul Webster
http://wiki.eclipse.org/Platform_Command_Framework
http://wiki.eclipse.org/Command_Core_Expressions
http://wiki.eclipse.org/Menu_Contributions


Previous Topic:questions about context
Next Topic:[xwt] combo cell editor for enums
Goto Forum:
  


Current Time: Fri Nov 21 16:46:53 GMT 2014

Powered by FUDForum. Page generated in 0.02104 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software